#!/bin/bash

set -euo pipefail
set -a
. "$SECRET_DIR/.env"
set +a

git_update.sh -d "$HTTP_DIR" -b main "https://git.jean-cloud.net/adrian/rimarima"

rclone_ncloud_publiclink.sh "$HTTP_DIR/content"

podman build . -f hugobuilder.dockerfile -t $JC_SERVICE/builder
podman run --rm -v $HTTP_DIR:/srv $JC_SERVICE/builder
